Stop, your browser isn't supported

Follow

Unfortunately, your web browser needs updating

Our services make use of features and technologies that are available in all modern web browsers. These give better security, faster performance and help us to make things easier to manage. The browser you're using doesn't support these technologies.

But wait, it's OK!

To access our services, all you need to do is upgrade your current browser to the latest version using the links below. These links take you to the official websites. You may need to contact your IT department for help.

Which browsers do we currently support?

Browser Update to latest Version Version Actively Supported **
Firefox Current -1
Google Chrome Current - 1
Safari Version 9+
Internet Explorer Version 11+
Microsoft Edge Version 13+
Opera Current -1

** Actively Supported means we are actively testing in these web browsers and the stated version or higher. 

Current -1 means that we support the current stable version of the browser and the version that precedes it. We do not offer support for pre-release versions of browsers, such as beta or dev releases.

Our services may run without any major issues in older browser versions but we're not testing in them and we usually do not fix bugs that may occur in them.

Have more questions? Submit a request

Comments